Package com.ngrok.services

# Class ApiKeys

java.lang.Object
com.ngrok.services.ApiKeys

public class ApiKeys extends Object
API Keys are used to authenticate to the ngrok API. You may use the API itself to provision and manage API Keys but you'll need to provision your first API key from the API Keys page on your ngrok.com dashboard. See also https://ngrok.com/docs/api#api-api-keys.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `ApiKeys.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `ApiKeys.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `ApiKeys.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `ApiKeys.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `ApiKeys.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApiKeys(NgrokApiClient apiClient)`
  Creates a new sub-client for ApiKeys.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ApiKeys.CreateCallBuilder`
  `create()`
  Create a new API key.
  `ApiKeys.DeleteCallBuilder`
  `delete(String id)`
  Delete an API key by ID See also https://ngrok.com/docs/api#api-api-keys-delete.
  `ApiKeys.GetCallBuilder`
  `get(String id)`
  Get the details of an API key by ID.
  `ApiKeys.ListCallBuilder`
  `list()`
  List all API keys owned by this account See also https://ngrok.com/docs/api#api-api-keys-list.
  `ApiKeys.UpdateCallBuilder`
  `update(String id)`
  Update attributes of an API key by ID.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApiKeys

    public ApiKeys(NgrokApiClient apiClient)
    Creates a new sub-client for ApiKeys.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public ApiKeys.CreateCallBuilder create()
    Create a new API key. The generated API key can be used to authenticate to the ngrok API. See also https://ngrok.com/docs/api#api-api-keys-create.
    Returns:
      a call builder for this API call

  - ### delete

    public ApiKeys.DeleteCallBuilder delete(String id)
    Delete an API key by ID See also https://ngrok.com/docs/api#api-api-keys-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public ApiKeys.GetCallBuilder get(String id)
    Get the details of an API key by ID. See also https://ngrok.com/docs/api#api-api-keys-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public ApiKeys.ListCallBuilder list()
    List all API keys owned by this account See also https://ngrok.com/docs/api#api-api-keys-list.
    Returns:
      a call builder for this API call

  - ### update

    public ApiKeys.UpdateCallBuilder update(String id)
    Update attributes of an API key by ID. See also https://ngrok.com/docs/api#api-api-keys-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call